CREATE TABLE ar_bpa_content_areas_b (
    CONTENT_AREA_ID               NUMBER(18, 0) ,
    PARENT_CONTENT_AREA_ID        NUMBER(18, 0) ,
    DISPLAY_LEVEL                 VARCHAR2(120)     NOT NULL,
    CONTENT_TYPE                  NUMBER            NOT NULL,
    CONTENT_ORIENTATION           NUMBER        ,
    TEMPLATE_ID                   NUMBER(18, 0)     NOT NULL,
    CONTENT_STYLE_ID              NUMBER(18, 0) ,
    ITEM_ID                       NUMBER(18, 0) ,
    URL_ID                        NUMBER(18, 0) ,
    DISPLAY_SEQUENCE              NUMBER            NOT NULL,
    CONTENT_AREA_WIDTH            VARCHAR2(320) ,
    CONTENT_AREA_LEFT_SPACE       NUMBER        ,
    CONTENT_AREA_RIGHT_SPACE      NUMBER        ,
    CONTENT_AREA_TOP_SPACE        NUMBER        ,
    CONTENT_AREA_BOTTOM_SPACE     NUMBER        ,
    ITEM_VALUE                    VARCHAR2(4000),
    VO_ATTRIBUTE_NAME             VARCHAR2(320) ,
    VO_USAGE_NAME                 VARCHAR2(320) ,
    CONTENT_COUNT                 NUMBER        ,
    TOTALS_ENABLED_FLAG           VARCHAR2(4)   ,
    AMOUNT_ITEM_FLAG              VARCHAR2(4)   ,
    LINK_ENABLED_FLAG             VARCHAR2(4)   ,
    LINE_REGION_FLAG              VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONTENT_AREA_BGCOLOR          VARCHAR2(600) ,
    ITEM_LABEL_STYLE              VARCHAR2(120) ,
    CONTENT_DISP_PROMPT_STYLE     VARCHAR2(120) ,
    ITEM_VALUE_STYLE              VARCHAR2(120) ,
    DISPLAYED_MULTI_LEVEL_FLAG    VARCHAR2(4)   ,
    INVOICE_LINE_TYPE             VARCHAR2(120) ,
    AREA_CODE                     VARCHAR2(120) ,
    PARENT_AREA_CODE              VARCHAR2(120) ,
    ITEM_COLUMN_WIDTH             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CONTENT_AREA_ID               NUMBER(18, 0) ,
    PARENT_CONTENT_AREA_ID        NUMBER(18, 0) ,
    DISPLAY_LEVEL                 VARCHAR2(120)     NOT NULL,
    CONTENT_TYPE                  NUMBER            NOT NULL,
    CONTENT_ORIENTATION           NUMBER        ,
    TEMPLATE_ID                   NUMBER(18, 0)     NOT NULL,
    CONTENT_STYLE_ID              NUMBER(18, 0) ,
    ITEM_ID                       NUMBER(18, 0) ,
    URL_ID                        NUMBER(18, 0) ,
    DISPLAY_SEQUENCE              NUMBER            NOT NULL,
    CONTENT_AREA_WIDTH            VARCHAR2(320) ,
    CONTENT_AREA_LEFT_SPACE       NUMBER        ,
    CONTENT_AREA_RIGHT_SPACE      NUMBER        ,
    CONTENT_AREA_TOP_SPACE        NUMBER        ,
    CONTENT_AREA_BOTTOM_SPACE     NUMBER        ,
    ITEM_VALUE                    VARCHAR2(4000),
    VO_ATTRIBUTE_NAME             VARCHAR2(320) ,
    VO_USAGE_NAME                 VARCHAR2(320) ,
    CONTENT_COUNT                 NUMBER        ,
    TOTALS_ENABLED_FLAG           VARCHAR2(4)   ,
    AMOUNT_ITEM_FLAG              VARCHAR2(4)   ,
    LINK_ENABLED_FLAG             VARCHAR2(4)   ,
    LINE_REGION_FLAG              VARCHAR2(4)   ,
    CREATED_BY                    VARCHAR2(256)     NOT NULL,
    CREATION_DATE                 TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY               VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE              TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN             VARCHAR2(128) ,
    CONTENT_AREA_BGCOLOR          VARCHAR2(600) ,
    ITEM_LABEL_STYLE              VARCHAR2(120) ,
    CONTENT_DISP_PROMPT_STYLE     VARCHAR2(120) ,
    ITEM_VALUE_STYLE              VARCHAR2(120) ,
    DISPLAYED_MULTI_LEVEL_FLAG    VARCHAR2(4)   ,
    INVOICE_LINE_TYPE             VARCHAR2(120) ,
    AREA_CODE                     VARCHAR2(120) ,
    PARENT_AREA_CODE              VARCHAR2(120) ,
    ITEM_COLUMN_WIDTH             NUMBER(18, 0) ,
    OBJECT_VERSION_NUMBER         NUMBER(9, 0)      NOT NULL,
    CONSTRAINT pk_ar_bpa_content_areas_b PRIMARY KEY (CONTENT_AREA_ID, CONTENT_AREA_ID)
);
